Use ruby 2.5 on stormfly-01
[chef.git] / roles / stormfly-01.rb
1 name "stormfly-01"
2 description "Master role applied to stormfly-01"
3
4 default_attributes(
5   :networking => {
6     :interfaces => {
7       :external_ipv4 => {
8         :interface => "em1",
9         :role => :external,
10         :family => :inet,
11         :address => "140.211.167.104"
12       },
13       :external_ipv6 => {
14         :interface => "em1",
15         :role => :external,
16         :family => :inet6,
17         :address => "2605:bc80:3010:700::8cde:a768"
18       }
19     }
20   },
21   :passenger => {
22     :ruby_version => "2.5"
23   }
24 )
25
26 run_list(
27   "role[osuosl]",
28   "role[hp-dl360-g6]",
29   "role[taginfo]"
30 )